All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.prompts.definitions
Interface FileSelectionInterface

All Known Subinterfaces:
  MutableFileSelectionInterface

All Known Implementing Classes:
  BaseFileDefinition, InputFileDefinition, OutputFileDefinition

    public interface FileSelectionInterface

FileSelectionInterface is implemented by prompt types which allow a user to specify prompts from a logical server. It allows the specification of the logical server name, the file types supported, and the file selection mode to be used.

Field Summary
`static int` | `DIRECTORIES_ONLY` Used to indicate the selection mode.
`static int` | `FILES_AND_DIRECTORIES` Deprecated. use FILES_ONLY or DIRECTORIES_ONLY
`static int` | `FILES_ONLY` Used to indicate the selection mode.

Method Summary
`int` | `getFileSelectionMode()` Returns whether files, directories, or file and directories are allowed to be selected.
`java.util.List<java.lang.String>` | `getFileTypes()` Returns the list of file types to allow the user to select from.
`java.lang.String` | `getLogicalServerName()` Returns the name of the logical server

Field Detail

### FILES_AND_DIRECTORIES

    static final int FILES_AND_DIRECTORIES

  Deprecated. use FILES_ONLY or DIRECTORIES_ONLY
  Used to indicate the selection mode. Files and folders are allowed selections if `FILES_AND_DIRECTORIES` is the active selection mode.

  See Also:
    Constant Field Values

### FILES_ONLY

    static final int FILES_ONLY

  Used to indicate the selection mode. Only files are allowed to be selected if `FILES_ONLY` is the active selection mode. This is the default selection mode.

  See Also:
    Constant Field Values

### DIRECTORIES_ONLY

    static final int DIRECTORIES_ONLY

  Used to indicate the selection mode. Only directories are allowed to be selected if `DIRECTORIES_ONLY` is the active selection mode.

  See Also:
    Constant Field Values

Method Detail

### getLogicalServerName

    java.lang.String getLogicalServerName()

  Returns the name of the logical server

  Returns:
    the name of the logical server

### getFileTypes

    java.util.List<java.lang.String> getFileTypes()

  Returns the list of file types to allow the user to select from.

  Returns:
    the list of file types to allow the user to select from.

### getFileSelectionMode

    int getFileSelectionMode()

  Returns whether files, directories, or file and directories are allowed to be selected. One of FILES_AND_DIRECTORIES, FILES_ONLY, or DIRECTORIES_ONLY.

  Returns:
    an integer representing the file selection mode

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.